23cd6c78dbb3b43c94bd86d6c6cb2b65342b33fb
[com/asn1c.git] / libasn1parser / Makefile
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # libasn1parser/Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17
18 am__is_gnu_make = { \
19   if test -z '$(MAKELEVEL)'; then \
20     false; \
21   elif test -n '$(MAKE_HOST)'; then \
22     true; \
23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24     true; \
25   else \
26     false; \
27   fi; \
28 }
29 am__make_running_with_option = \
30   case $${target_option-} in \
31       ?) ;; \
32       *) echo "am__make_running_with_option: internal error: invalid" \
33               "target option '$${target_option-}' specified" >&2; \
34          exit 1;; \
35   esac; \
36   has_opt=no; \
37   sane_makeflags=$$MAKEFLAGS; \
38   if $(am__is_gnu_make); then \
39     sane_makeflags=$$MFLAGS; \
40   else \
41     case $$MAKEFLAGS in \
42       *\\[\ \   ]*) \
43         bs=\\; \
44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46     esac; \
47   fi; \
48   skip_next=no; \
49   strip_trailopt () \
50   { \
51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52   }; \
53   for flg in $$sane_makeflags; do \
54     test $$skip_next = yes && { skip_next=no; continue; }; \
55     case $$flg in \
56       *=*|--*) continue;; \
57         -*I) strip_trailopt 'I'; skip_next=yes;; \
58       -*I?*) strip_trailopt 'I';; \
59         -*O) strip_trailopt 'O'; skip_next=yes;; \
60       -*O?*) strip_trailopt 'O';; \
61         -*l) strip_trailopt 'l'; skip_next=yes;; \
62       -*l?*) strip_trailopt 'l';; \
63       -[dEDm]) skip_next=yes;; \
64       -[JT]) skip_next=yes;; \
65     esac; \
66     case $$flg in \
67       *$$target_option*) has_opt=yes; break;; \
68     esac; \
69   done; \
70   test $$has_opt = yes
71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 pkgdatadir = $(datadir)/asn1c
74 pkgincludedir = $(includedir)/asn1c
75 pkglibdir = $(libdir)/asn1c
76 pkglibexecdir = $(libexecdir)/asn1c
77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78 install_sh_DATA = $(install_sh) -c -m 644
79 install_sh_PROGRAM = $(install_sh) -c
80 install_sh_SCRIPT = $(install_sh) -c
81 INSTALL_HEADER = $(INSTALL_DATA)
82 transform = $(program_transform_name)
83 NORMAL_INSTALL = :
84 PRE_INSTALL = :
85 POST_INSTALL = :
86 NORMAL_UNINSTALL = :
87 PRE_UNINSTALL = :
88 POST_UNINSTALL = :
89 build_triplet = x86_64-pc-linux-gnu
90 host_triplet = x86_64-pc-linux-gnu
91 check_PROGRAMS = check_asn1p_integer$(EXEEXT)
92 subdir = libasn1parser
93 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94 am__aclocal_m4_deps =  \
95         $(top_srcdir)/m4/ax_check_compile_and_link_flag.m4 \
96         $(top_srcdir)/m4/ax_check_compile_flag.m4 \
97         $(top_srcdir)/m4/ax_code_coverage.m4 \
98         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
99         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
100         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
101 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102         $(ACLOCAL_M4)
103 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104 mkinstalldirs = $(install_sh) -d
105 CONFIG_HEADER = $(top_builddir)/config.h
106 CONFIG_CLEAN_FILES =
107 CONFIG_CLEAN_VPATH_FILES =
108 LTLIBRARIES = $(noinst_LTLIBRARIES)
109 libasn1parser_la_LIBADD =
110 am_libasn1parser_la_OBJECTS = asn1parser.lo asn1p_y.lo asn1p_l.lo \
111         asn1p_module.lo asn1p_oid.lo asn1p_value.lo asn1p_expr.lo \
112         asn1p_xports.lo asn1p_constr.lo asn1p_param.lo asn1p_class.lo \
113         asn1p_integer.lo
114 libasn1parser_la_OBJECTS = $(am_libasn1parser_la_OBJECTS)
115 AM_V_lt = $(am__v_lt_$(V))
116 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
117 am__v_lt_0 = --silent
118 am__v_lt_1 = 
119 check_asn1p_integer_SOURCES = check_asn1p_integer.c
120 check_asn1p_integer_OBJECTS = check_asn1p_integer.$(OBJEXT)
121 check_asn1p_integer_LDADD = $(LDADD)
122 check_asn1p_integer_DEPENDENCIES =  \
123         $(top_builddir)/libasn1common/libasn1common.la \
124         libasn1parser.la
125 AM_V_P = $(am__v_P_$(V))
126 am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
127 am__v_P_0 = false
128 am__v_P_1 = :
129 AM_V_GEN = $(am__v_GEN_$(V))
130 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
131 am__v_GEN_0 = @echo "  GEN     " $@;
132 am__v_GEN_1 = 
133 AM_V_at = $(am__v_at_$(V))
134 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
135 am__v_at_0 = @
136 am__v_at_1 = 
137 DEFAULT_INCLUDES = -I. -I$(top_builddir)
138 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
139 am__depfiles_maybe = depfiles
140 am__mv = mv -f
141 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
142         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
143 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
144         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
145         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
146         $(AM_CFLAGS) $(CFLAGS)
147 AM_V_CC = $(am__v_CC_$(V))
148 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
149 am__v_CC_0 = @echo "  CC      " $@;
150 am__v_CC_1 = 
151 CCLD = $(CC)
152 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
153         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
154         $(AM_LDFLAGS) $(LDFLAGS) -o $@
155 AM_V_CCLD = $(am__v_CCLD_$(V))
156 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
157 am__v_CCLD_0 = @echo "  CCLD    " $@;
158 am__v_CCLD_1 = 
159 SOURCES = $(libasn1parser_la_SOURCES) check_asn1p_integer.c
160 DIST_SOURCES = $(libasn1parser_la_SOURCES) check_asn1p_integer.c
161 am__can_run_installinfo = \
162   case $$AM_UPDATE_INFO_DIR in \
163     n|no|NO) false;; \
164     *) (install-info --version) >/dev/null 2>&1;; \
165   esac
166 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
167 # Read a list of newline-separated strings from the standard input,
168 # and print each of them once, without duplicates.  Input order is
169 # *not* preserved.
170 am__uniquify_input = $(AWK) '\
171   BEGIN { nonempty = 0; } \
172   { items[$$0] = 1; nonempty = 1; } \
173   END { if (nonempty) { for (i in items) print i; }; } \
174 '
175 # Make sure the list of sources is unique.  This is necessary because,
176 # e.g., the same source file might be shared among _SOURCES variables
177 # for different programs/libraries.
178 am__define_uniq_tagged_files = \
179   list='$(am__tagged_files)'; \
180   unique=`for i in $$list; do \
181     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
182   done | $(am__uniquify_input)`
183 ETAGS = etags
184 CTAGS = ctags
185 am__tty_colors_dummy = \
186   mgn= red= grn= lgn= blu= brg= std=; \
187   am__color_tests=no
188 am__tty_colors = { \
189   $(am__tty_colors_dummy); \
190   if test "X$(AM_COLOR_TESTS)" = Xno; then \
191     am__color_tests=no; \
192   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
193     am__color_tests=yes; \
194   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
195     am__color_tests=yes; \
196   fi; \
197   if test $$am__color_tests = yes; then \
198     red='\e[0;31m'; \
199     grn='\e[0;32m'; \
200     lgn='\e[1;32m'; \
201     blu='\e[1;34m'; \
202     mgn='\e[0;35m'; \
203     brg='\e[1m'; \
204     std='\e[m'; \
205   fi; \
206 }
207 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
208 am__vpath_adj = case $$p in \
209     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
210     *) f=$$p;; \
211   esac;
212 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
213 am__install_max = 40
214 am__nobase_strip_setup = \
215   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
216 am__nobase_strip = \
217   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
218 am__nobase_list = $(am__nobase_strip_setup); \
219   for p in $$list; do echo "$$p $$p"; done | \
220   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
221   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
222     if (++n[$$2] == $(am__install_max)) \
223       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
224     END { for (dir in files) print dir, files[dir] }'
225 am__base_list = \
226   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
227   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
228 am__uninstall_files_from_dir = { \
229   test -z "$$files" \
230     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
231     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
232          $(am__cd) "$$dir" && rm -f $$files; }; \
233   }
234 am__recheck_rx = ^[     ]*:recheck:[    ]*
235 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
236 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
237 # A command that, given a newline-separated list of test names on the
238 # standard input, print the name of the tests that are to be re-run
239 # upon "make recheck".
240 am__list_recheck_tests = $(AWK) '{ \
241   recheck = 1; \
242   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
243     { \
244       if (rc < 0) \
245         { \
246           if ((getline line2 < ($$0 ".log")) < 0) \
247             recheck = 0; \
248           break; \
249         } \
250       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
251         { \
252           recheck = 0; \
253           break; \
254         } \
255       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
256         { \
257           break; \
258         } \
259     }; \
260   if (recheck) \
261     print $$0; \
262   close ($$0 ".trs"); \
263   close ($$0 ".log"); \
264 }'
265 # A command that, given a newline-separated list of test names on the
266 # standard input, create the global log from their .trs and .log files.
267 am__create_global_log = $(AWK) ' \
268 function fatal(msg) \
269 { \
270   print "fatal: making $@: " msg | "cat >&2"; \
271   exit 1; \
272 } \
273 function rst_section(header) \
274 { \
275   print header; \
276   len = length(header); \
277   for (i = 1; i <= len; i = i + 1) \
278     printf "="; \
279   printf "\n\n"; \
280 } \
281 { \
282   copy_in_global_log = 1; \
283   global_test_result = "RUN"; \
284   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
285     { \
286       if (rc < 0) \
287          fatal("failed to read from " $$0 ".trs"); \
288       if (line ~ /$(am__global_test_result_rx)/) \
289         { \
290           sub("$(am__global_test_result_rx)", "", line); \
291           sub("[        ]*$$", "", line); \
292           global_test_result = line; \
293         } \
294       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
295         copy_in_global_log = 0; \
296     }; \
297   if (copy_in_global_log) \
298     { \
299       rst_section(global_test_result ": " $$0); \
300       while ((rc = (getline line < ($$0 ".log"))) != 0) \
301       { \
302         if (rc < 0) \
303           fatal("failed to read from " $$0 ".log"); \
304         print line; \
305       }; \
306       printf "\n"; \
307     }; \
308   close ($$0 ".trs"); \
309   close ($$0 ".log"); \
310 }'
311 # Restructured Text title.
312 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
313 # Solaris 10 'make', and several other traditional 'make' implementations,
314 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
315 # by disabling -e (using the XSI extension "set +e") if it's set.
316 am__sh_e_setup = case $$- in *e*) set +e;; esac
317 # Default flags passed to test drivers.
318 am__common_driver_flags = \
319   --color-tests "$$am__color_tests" \
320   --enable-hard-errors "$$am__enable_hard_errors" \
321   --expect-failure "$$am__expect_failure"
322 # To be inserted before the command running the test.  Creates the
323 # directory for the log if needed.  Stores in $dir the directory
324 # containing $f, in $tst the test, in $log the log.  Executes the
325 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
326 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
327 # will run the test scripts (or their associated LOG_COMPILER, if
328 # thy have one).
329 am__check_pre = \
330 $(am__sh_e_setup);                                      \
331 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
332 $(am__tty_colors);                                      \
333 srcdir=$(srcdir); export srcdir;                        \
334 case "$@" in                                            \
335   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
336     *) am__odir=.;;                                     \
337 esac;                                                   \
338 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
339   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
340 if test -f "./$$f"; then dir=./;                        \
341 elif test -f "$$f"; then dir=;                          \
342 else dir="$(srcdir)/"; fi;                              \
343 tst=$$dir$$f; log='$@';                                 \
344 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
345   am__enable_hard_errors=no;                            \
346 else                                                    \
347   am__enable_hard_errors=yes;                           \
348 fi;                                                     \
349 case " $(XFAIL_TESTS) " in                              \
350   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
351     am__expect_failure=yes;;                            \
352   *)                                                    \
353     am__expect_failure=no;;                             \
354 esac;                                                   \
355 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
356 # A shell command to get the names of the tests scripts with any registered
357 # extension removed (i.e., equivalently, the names of the test logs, with
358 # the '.log' extension removed).  The result is saved in the shell variable
359 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
360 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
361 # since that might cause problem with VPATH rewrites for suffix-less tests.
362 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
363 am__set_TESTS_bases = \
364   bases='$(TEST_LOGS)'; \
365   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
366   bases=`echo $$bases`
367 RECHECK_LOGS = $(TEST_LOGS)
368 AM_RECURSIVE_TARGETS = check recheck
369 TEST_SUITE_LOG = test-suite.log
370 TEST_EXTENSIONS =  .test
371 LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
372 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
373 am__set_b = \
374   case '$@' in \
375     */*) \
376       case '$*' in \
377         */*) b='$*';; \
378           *) b=`echo '$@' | sed 's/\.log$$//'`; \
379        esac;; \
380     *) \
381       b='$*';; \
382   esac
383 am__test_logs1 = $(TESTS:=.log)
384 am__test_logs2 = $(am__test_logs1:.log=.log)
385 TEST_LOGS = $(am__test_logs2:.test.log=.log)
386 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
387 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
388         $(TEST_LOG_FLAGS)
389 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp \
390         $(top_srcdir)/config/test-driver
391 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
392 ACLOCAL = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing aclocal-1.15
393 ADD_CFLAGS = 
394 AMTAR = $${TAR-tar}
395 AM_DEFAULT_VERBOSITY = 0
396 AR = ar
397 ASAN_ENV_FLAGS =  ASAN_OPTIONS=detect_leaks=1
398 AUTOCONF = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing autoconf
399 AUTOHEADER = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing autoheader
400 AUTOMAKE = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing automake-1.15
401 AWK = gawk
402 CC = gcc
403 CCDEPMODE = depmode=gcc3
404 CFLAGS = -g -O2 -Wall -Wcast-qual -Wchar-subscripts -Wmissing-prototypes -Wmissing-declarations -Wno-error=attributes -Wno-error=cast-align -std=gnu99
405 CFLAGS_M32 = 
406 CODE_COVERAGE_CFLAGS = 
407 CODE_COVERAGE_CPPFLAGS = 
408 CODE_COVERAGE_CXXFLAGS = 
409 CODE_COVERAGE_ENABLED = no
410 CODE_COVERAGE_LDFLAGS = 
411 CODE_COVERAGE_LIBS = 
412 CPP = gcc -E
413 CPPFLAGS = 
414 CXX = g++
415 CXXCPP = g++ -E
416 CXXDEPMODE = depmode=gcc3
417 CXXFLAGS = -std=c++11
418 CYGPATH_W = echo
419 DEFS = -DHAVE_CONFIG_H
420 DEPDIR = .deps
421 DLLTOOL = false
422 DSYMUTIL = 
423 DUMPBIN = 
424 ECHO_C = 
425 ECHO_N = -n
426 ECHO_T = 
427 EGREP = /bin/grep -E
428 EXEEXT = 
429 FGREP = /bin/grep -F
430 GCOV = 
431 GENHTML = 
432 GREP = /bin/grep
433 INSTALL = /usr/bin/install -c
434 INSTALL_DATA = ${INSTALL} -m 644
435 INSTALL_PROGRAM = ${INSTALL}
436 INSTALL_SCRIPT = ${INSTALL}
437 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
438 LCOV = 
439 LD = /usr/bin/ld -m elf_x86_64
440 LDFLAGS = 
441 LEX = flex
442 LEXLIB = -lfl
443 LEX_OUTPUT_ROOT = lex.yy
444 LIBFUZZER_CFLAGS = 
445 LIBOBJS = 
446 LIBS = 
447 LIBTOOL = $(SHELL) $(top_builddir)/libtool
448 LIPO = 
449 LN_S = ln -s
450 LTLIBOBJS = 
451 LT_SYS_LIBRARY_PATH = 
452 MAKEINFO = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing makeinfo
453 MANIFEST_TOOL = :
454 MKDIR_P = /bin/mkdir -p
455 NM = /usr/bin/nm -B
456 NMEDIT = 
457 OBJDUMP = objdump
458 OBJEXT = o
459 OTOOL = 
460 OTOOL64 = 
461 PACKAGE = asn1c
462 PACKAGE_BUGREPORT = vlm@lionet.info
463 PACKAGE_NAME = asn1c
464 PACKAGE_STRING = asn1c 0.9.29
465 PACKAGE_TARNAME = asn1c
466 PACKAGE_URL = 
467 PACKAGE_VERSION = 0.9.29
468 PANDOC = 
469 PATH_SEPARATOR = :
470 RANLIB = ranlib
471 SANITIZER_CFLAGS =  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
472 SED = /bin/sed
473 SET_MAKE = 
474 SHELL = /bin/bash
475 SKELETONS_CFLAGS =   -std=c89 -Wpedantic -Wno-long-long  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
476 STRIP = strip
477 TESTSUITE_CFLAGS =  -std=gnu99 -Wno-error=unused-variable  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
478 VERSION = 0.9.29
479 YACC = bison -y
480 YFLAGS = 
481 abs_builddir = /home/nokia/mouse07410/asn1c/libasn1parser
482 abs_srcdir = /home/nokia/mouse07410/asn1c/libasn1parser
483 abs_top_builddir = /home/nokia/mouse07410/asn1c
484 abs_top_srcdir = /home/nokia/mouse07410/asn1c
485 ac_ct_AR = ar
486 ac_ct_CC = gcc
487 ac_ct_CXX = g++
488 ac_ct_DUMPBIN = 
489 am__include = include
490 am__leading_dot = .
491 am__quote = 
492 am__tar = $${TAR-tar} chof - "$$tardir"
493 am__untar = $${TAR-tar} xf -
494 bindir = ${exec_prefix}/bin
495 build = x86_64-pc-linux-gnu
496 build_alias = 
497 build_cpu = x86_64
498 build_os = linux-gnu
499 build_vendor = pc
500 builddir = .
501 datadir = ${datarootdir}
502 datarootdir = ${prefix}/share
503 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
504 dvidir = ${docdir}
505 exec_prefix = ${prefix}
506 host = x86_64-pc-linux-gnu
507 host_alias = 
508 host_cpu = x86_64
509 host_os = linux-gnu
510 host_vendor = pc
511 htmldir = ${docdir}
512 includedir = ${prefix}/include
513 infodir = ${datarootdir}/info
514 install_sh = ${SHELL} /home/nokia/mouse07410/asn1c/config/install-sh
515 libdir = ${exec_prefix}/lib
516 libexecdir = ${exec_prefix}/libexec
517 localedir = ${datarootdir}/locale
518 localstatedir = ${prefix}/var
519 mandir = ${datarootdir}/man
520 mkdir_p = $(MKDIR_P)
521 oldincludedir = /usr/include
522 pdfdir = ${docdir}
523 prefix = /usr/local
524 program_transform_name = s,x,x,
525 psdir = ${docdir}
526 runstatedir = ${localstatedir}/run
527 sbindir = ${exec_prefix}/sbin
528 sharedstatedir = ${prefix}/com
529 srcdir = .
530 sysconfdir = ${prefix}/etc
531 target_alias = 
532 top_build_prefix = ../
533 top_builddir = ..
534 top_srcdir = ..
535 AM_CFLAGS = 
536 AM_CPPFLAGS = -I$(top_srcdir)/libasn1common
537 AM_YFLAGS = -p asn1p_ -d 
538 AM_LFLAGS = -s -p -Cem -Pasn1p_ -olex.yy.c
539 noinst_LTLIBRARIES = libasn1parser.la
540 libasn1parser_la_LIBDADD = $(top_builddir)/libasn1common/libasn1common.la
541 libasn1parser_la_SOURCES = \
542     asn1parser.c asn1parser.h           \
543     asn1p_y.c asn1p_y.h asn1p_l.c       \
544     asn1p_module.c asn1p_module.h       \
545     asn1p_oid.c asn1p_oid.h             \
546     asn1p_value.c asn1p_value.h         \
547     asn1p_expr.c asn1p_expr.h           \
548     asn1p_expr_str.h                    \
549     asn1p_expr2uclass.h                 \
550     asn1p_xports.c asn1p_xports.h       \
551     asn1p_constr.c asn1p_constr.h       \
552     asn1p_param.c asn1p_param.h         \
553     asn1p_class.c asn1p_class.h         \
554     asn1p_integer.c asn1p_integer.h     \
555     asn1p_list.h
556
557 LDADD = $(top_builddir)/libasn1common/libasn1common.la libasn1parser.la
558 TESTS = $(check_PROGRAMS)
559 EXTRA_DIST = expr-h.pl
560 all: all-am
561
562 .SUFFIXES:
563 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
564 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
565         @for dep in $?; do \
566           case '$(am__configure_deps)' in \
567             *$$dep*) \
568               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
569                 && { if test -f $@; then exit 0; else break; fi; }; \
570               exit 1;; \
571           esac; \
572         done; \
573         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign libasn1parser/Makefile'; \
574         $(am__cd) $(top_srcdir) && \
575           $(AUTOMAKE) --foreign libasn1parser/Makefile
576 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
577         @case '$?' in \
578           *config.status*) \
579             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
580           *) \
581             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
582             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
583         esac;
584
585 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
586         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
587
588 $(top_srcdir)/configure:  $(am__configure_deps)
589         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
590 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
591         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
592 $(am__aclocal_m4_deps):
593
594 clean-noinstLTLIBRARIES:
595         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
596         @list='$(noinst_LTLIBRARIES)'; \
597         locs=`for p in $$list; do echo $$p; done | \
598               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
599               sort -u`; \
600         test -z "$$locs" || { \
601           echo rm -f $${locs}; \
602           rm -f $${locs}; \
603         }
604
605 libasn1parser.la: $(libasn1parser_la_OBJECTS) $(libasn1parser_la_DEPENDENCIES) $(EXTRA_libasn1parser_la_DEPENDENCIES) 
606         $(AM_V_CCLD)$(LINK)  $(libasn1parser_la_OBJECTS) $(libasn1parser_la_LIBADD) $(LIBS)
607
608 clean-checkPROGRAMS:
609         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
610         echo " rm -f" $$list; \
611         rm -f $$list || exit $$?; \
612         test -n "$(EXEEXT)" || exit 0; \
613         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
614         echo " rm -f" $$list; \
615         rm -f $$list
616
617 check_asn1p_integer$(EXEEXT): $(check_asn1p_integer_OBJECTS) $(check_asn1p_integer_DEPENDENCIES) $(EXTRA_check_asn1p_integer_DEPENDENCIES) 
618         @rm -f check_asn1p_integer$(EXEEXT)
619         $(AM_V_CCLD)$(LINK) $(check_asn1p_integer_OBJECTS) $(check_asn1p_integer_LDADD) $(LIBS)
620
621 mostlyclean-compile:
622         -rm -f *.$(OBJEXT)
623
624 distclean-compile:
625         -rm -f *.tab.c
626
627 include ./$(DEPDIR)/asn1p_class.Plo
628 include ./$(DEPDIR)/asn1p_constr.Plo
629 include ./$(DEPDIR)/asn1p_expr.Plo
630 include ./$(DEPDIR)/asn1p_integer.Plo
631 include ./$(DEPDIR)/asn1p_l.Plo
632 include ./$(DEPDIR)/asn1p_module.Plo
633 include ./$(DEPDIR)/asn1p_oid.Plo
634 include ./$(DEPDIR)/asn1p_param.Plo
635 include ./$(DEPDIR)/asn1p_value.Plo
636 include ./$(DEPDIR)/asn1p_xports.Plo
637 include ./$(DEPDIR)/asn1p_y.Plo
638 include ./$(DEPDIR)/asn1parser.Plo
639 include ./$(DEPDIR)/check_asn1p_integer.Po
640
641 .c.o:
642         $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
643         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
644 #       $(AM_V_CC)source='$<' object='$@' libtool=no \
645 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
646 #       $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
647
648 .c.obj:
649         $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
650         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
651 #       $(AM_V_CC)source='$<' object='$@' libtool=no \
652 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
653 #       $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
654
655 .c.lo:
656         $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
657         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
658 #       $(AM_V_CC)source='$<' object='$@' libtool=yes \
659 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
660 #       $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
661
662 mostlyclean-libtool:
663         -rm -f *.lo
664
665 clean-libtool:
666         -rm -rf .libs _libs
667
668 ID: $(am__tagged_files)
669         $(am__define_uniq_tagged_files); mkid -fID $$unique
670 tags: tags-am
671 TAGS: tags
672
673 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
674         set x; \
675         here=`pwd`; \
676         $(am__define_uniq_tagged_files); \
677         shift; \
678         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
679           test -n "$$unique" || unique=$$empty_fix; \
680           if test $$# -gt 0; then \
681             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
682               "$$@" $$unique; \
683           else \
684             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
685               $$unique; \
686           fi; \
687         fi
688 ctags: ctags-am
689
690 CTAGS: ctags
691 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
692         $(am__define_uniq_tagged_files); \
693         test -z "$(CTAGS_ARGS)$$unique" \
694           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
695              $$unique
696
697 GTAGS:
698         here=`$(am__cd) $(top_builddir) && pwd` \
699           && $(am__cd) $(top_srcdir) \
700           && gtags -i $(GTAGS_ARGS) "$$here"
701 cscopelist: cscopelist-am
702
703 cscopelist-am: $(am__tagged_files)
704         list='$(am__tagged_files)'; \
705         case "$(srcdir)" in \
706           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
707           *) sdir=$(subdir)/$(srcdir) ;; \
708         esac; \
709         for i in $$list; do \
710           if test -f "$$i"; then \
711             echo "$(subdir)/$$i"; \
712           else \
713             echo "$$sdir/$$i"; \
714           fi; \
715         done >> $(top_builddir)/cscope.files
716
717 distclean-tags:
718         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
719
720 # Recover from deleted '.trs' file; this should ensure that
721 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
722 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
723 # to avoid problems with "make -n".
724 .log.trs:
725         rm -f $< $@
726         $(MAKE) $(AM_MAKEFLAGS) $<
727
728 # Leading 'am--fnord' is there to ensure the list of targets does not
729 # expand to empty, as could happen e.g. with make check TESTS=''.
730 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
731 am--force-recheck:
732         @:
733
734 $(TEST_SUITE_LOG): $(TEST_LOGS)
735         @$(am__set_TESTS_bases); \
736         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
737         redo_bases=`for i in $$bases; do \
738                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
739                     done`; \
740         if test -n "$$redo_bases"; then \
741           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
742           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
743           if $(am__make_dryrun); then :; else \
744             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
745           fi; \
746         fi; \
747         if test -n "$$am__remaking_logs"; then \
748           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
749                "recursion detected" >&2; \
750         elif test -n "$$redo_logs"; then \
751           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
752         fi; \
753         if $(am__make_dryrun); then :; else \
754           st=0;  \
755           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
756           for i in $$redo_bases; do \
757             test -f $$i.trs && test -r $$i.trs \
758               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
759             test -f $$i.log && test -r $$i.log \
760               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
761           done; \
762           test $$st -eq 0 || exit 1; \
763         fi
764         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
765         ws='[   ]'; \
766         results=`for b in $$bases; do echo $$b.trs; done`; \
767         test -n "$$results" || results=/dev/null; \
768         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
769         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
770         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
771         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
772         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
773         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
774         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
775         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
776           success=true; \
777         else \
778           success=false; \
779         fi; \
780         br='==================='; br=$$br$$br$$br$$br; \
781         result_count () \
782         { \
783             if test x"$$1" = x"--maybe-color"; then \
784               maybe_colorize=yes; \
785             elif test x"$$1" = x"--no-color"; then \
786               maybe_colorize=no; \
787             else \
788               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
789             fi; \
790             shift; \
791             desc=$$1 count=$$2; \
792             if test $$maybe_colorize = yes && test $$count -gt 0; then \
793               color_start=$$3 color_end=$$std; \
794             else \
795               color_start= color_end=; \
796             fi; \
797             echo "$${color_start}# $$desc $$count$${color_end}"; \
798         }; \
799         create_testsuite_report () \
800         { \
801           result_count $$1 "TOTAL:" $$all   "$$brg"; \
802           result_count $$1 "PASS: " $$pass  "$$grn"; \
803           result_count $$1 "SKIP: " $$skip  "$$blu"; \
804           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
805           result_count $$1 "FAIL: " $$fail  "$$red"; \
806           result_count $$1 "XPASS:" $$xpass "$$red"; \
807           result_count $$1 "ERROR:" $$error "$$mgn"; \
808         }; \
809         {                                                               \
810           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
811             $(am__rst_title);                                           \
812           create_testsuite_report --no-color;                           \
813           echo;                                                         \
814           echo ".. contents:: :depth: 2";                               \
815           echo;                                                         \
816           for b in $$bases; do echo $$b; done                           \
817             | $(am__create_global_log);                                 \
818         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
819         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
820         if $$success; then                                              \
821           col="$$grn";                                                  \
822          else                                                           \
823           col="$$red";                                                  \
824           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
825         fi;                                                             \
826         echo "$${col}$$br$${std}";                                      \
827         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
828         echo "$${col}$$br$${std}";                                      \
829         create_testsuite_report --maybe-color;                          \
830         echo "$$col$$br$$std";                                          \
831         if $$success; then :; else                                      \
832           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
833           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
834             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
835           fi;                                                           \
836           echo "$$col$$br$$std";                                        \
837         fi;                                                             \
838         $$success || exit 1
839
840 check-TESTS:
841         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
842         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
843         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
844         @set +e; $(am__set_TESTS_bases); \
845         log_list=`for i in $$bases; do echo $$i.log; done`; \
846         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
847         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
848         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
849         exit $$?;
850 recheck: all $(check_PROGRAMS)
851         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
852         @set +e; $(am__set_TESTS_bases); \
853         bases=`for i in $$bases; do echo $$i; done \
854                  | $(am__list_recheck_tests)` || exit 1; \
855         log_list=`for i in $$bases; do echo $$i.log; done`; \
856         log_list=`echo $$log_list`; \
857         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
858                 am__force_recheck=am--force-recheck \
859                 TEST_LOGS="$$log_list"; \
860         exit $$?
861 check_asn1p_integer.log: check_asn1p_integer$(EXEEXT)
862         @p='check_asn1p_integer$(EXEEXT)'; \
863         b='check_asn1p_integer'; \
864         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
865         --log-file $$b.log --trs-file $$b.trs \
866         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
867         "$$tst" $(AM_TESTS_FD_REDIRECT)
868 .test.log:
869         @p='$<'; \
870         $(am__set_b); \
871         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
872         --log-file $$b.log --trs-file $$b.trs \
873         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
874         "$$tst" $(AM_TESTS_FD_REDIRECT)
875 #.test$(EXEEXT).log:
876 #       @p='$<'; \
877 #       $(am__set_b); \
878 #       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
879 #       --log-file $$b.log --trs-file $$b.trs \
880 #       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
881 #       "$$tst" $(AM_TESTS_FD_REDIRECT)
882
883 distdir: $(DISTFILES)
884         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
885         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
886         list='$(DISTFILES)'; \
887           dist_files=`for file in $$list; do echo $$file; done | \
888           sed -e "s|^$$srcdirstrip/||;t" \
889               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
890         case $$dist_files in \
891           */*) $(MKDIR_P) `echo "$$dist_files" | \
892                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
893                            sort -u` ;; \
894         esac; \
895         for file in $$dist_files; do \
896           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
897           if test -d $$d/$$file; then \
898             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
899             if test -d "$(distdir)/$$file"; then \
900               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
901             fi; \
902             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
903               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
904               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
905             fi; \
906             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
907           else \
908             test -f "$(distdir)/$$file" \
909             || cp -p $$d/$$file "$(distdir)/$$file" \
910             || exit 1; \
911           fi; \
912         done
913 check-am: all-am
914         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
915         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
916 check: check-am
917 all-am: Makefile $(LTLIBRARIES)
918 installdirs:
919 install: install-am
920 install-exec: install-exec-am
921 install-data: install-data-am
922 uninstall: uninstall-am
923
924 install-am: all-am
925         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
926
927 installcheck: installcheck-am
928 install-strip:
929         if test -z '$(STRIP)'; then \
930           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
931             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
932               install; \
933         else \
934           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
935             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
936             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
937         fi
938 mostlyclean-generic:
939         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
940         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
941         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
942
943 clean-generic:
944
945 distclean-generic:
946         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
947         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
948
949 maintainer-clean-generic:
950         @echo "This command is intended for maintainers to use"
951         @echo "it deletes files that may require special tools to rebuild."
952 clean: clean-am
953
954 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
955         clean-noinstLTLIBRARIES mostlyclean-am
956
957 distclean: distclean-am
958         -rm -rf ./$(DEPDIR)
959         -rm -f Makefile
960 distclean-am: clean-am distclean-compile distclean-generic \
961         distclean-tags
962
963 dvi: dvi-am
964
965 dvi-am:
966
967 html: html-am
968
969 html-am:
970
971 info: info-am
972
973 info-am:
974
975 install-data-am:
976
977 install-dvi: install-dvi-am
978
979 install-dvi-am:
980
981 install-exec-am:
982
983 install-html: install-html-am
984
985 install-html-am:
986
987 install-info: install-info-am
988
989 install-info-am:
990
991 install-man:
992
993 install-pdf: install-pdf-am
994
995 install-pdf-am:
996
997 install-ps: install-ps-am
998
999 install-ps-am:
1000
1001 installcheck-am:
1002
1003 maintainer-clean: maintainer-clean-am
1004         -rm -rf ./$(DEPDIR)
1005         -rm -f Makefile
1006 maintainer-clean-am: distclean-am maintainer-clean-generic
1007
1008 mostlyclean: mostlyclean-am
1009
1010 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1011         mostlyclean-libtool
1012
1013 pdf: pdf-am
1014
1015 pdf-am:
1016
1017 ps: ps-am
1018
1019 ps-am:
1020
1021 uninstall-am:
1022
1023 .MAKE: check-am install-am install-strip
1024
1025 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1026         clean-checkPROGRAMS clean-generic clean-libtool \
1027         clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1028         distclean-compile distclean-generic distclean-libtool \
1029         distclean-tags distdir dvi dvi-am html html-am info info-am \
1030         install install-am install-data install-data-am install-dvi \
1031         install-dvi-am install-exec install-exec-am install-html \
1032         install-html-am install-info install-info-am install-man \
1033         install-pdf install-pdf-am install-ps install-ps-am \
1034         install-strip installcheck installcheck-am installdirs \
1035         maintainer-clean maintainer-clean-generic mostlyclean \
1036         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1037         pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1038         uninstall-am
1039
1040 .PRECIOUS: Makefile
1041
1042
1043 asn1parser.h: asn1p_expr_str.h
1044
1045 asn1p_expr_str.h: expr-h.pl asn1p_expr.h
1046         ./expr-h.pl asn1p_expr.h > $@
1047
1048 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1049 # Otherwise a system limit (for SysV at least) may be exceeded.
1050 .NOEXPORT: